JmolMultiTouchClientAdapter
Date: 2019-10-22

org.jmol.multitouch

## Class JmolMultiTouchClientAdapter

- java.lang.Object
- - org.jmol.multitouch.JmolMultiTouchClientAdapter

- All Implemented Interfaces:
    JmolMultiTouchAdapter
  Direct Known Subclasses:
    JmolJniClientAdapter, JmolSparshClientAdapter

      public abstract class JmolMultiTouchClientAdapter
      extends java.lang.Object
      implements JmolMultiTouchAdapter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JmolMultiTouchClient` | `actionManager`
    `protected boolean` | `isServer`
    `protected javajs.util.P3` | `ptTemp`
    `private int[]` | `screen`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmolMultiTouchClientAdapter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `dispose()`
    `protected void` | `fixXY(float x, float y, boolean isAbsolute)`
    `boolean` | `isServer()`
    `void` | `mouseMoved(int x, int y)`
    `boolean` | `setMultiTouchClient(Viewer vwr, JmolMultiTouchClient client, boolean isSimulation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actionManager

          protected JmolMultiTouchClient actionManager

    - #### isServer

          protected boolean isServer

    - #### vwr

          private Viewer vwr

    - #### screen

          private int[] screen

    - #### ptTemp

          protected javajs.util.P3 ptTemp

  - ### Constructor Detail

    - #### JmolMultiTouchClientAdapter

          public JmolMultiTouchClientAdapter()

  - ### Method Detail

    - #### isServer

          public boolean isServer()

      Specified by:
        `isServer` in interface `JmolMultiTouchAdapter`

    - #### dispose

          public abstract void dispose()

      Specified by:
        `dispose` in interface `JmolMultiTouchAdapter`

    - #### setMultiTouchClient

          public boolean setMultiTouchClient(Viewer vwr,
                                             JmolMultiTouchClient client,
                                             boolean isSimulation)

      Specified by:
        `setMultiTouchClient` in interface `JmolMultiTouchAdapter`

    - #### mouseMoved

          public void mouseMoved(int x,
                                 int y)

      Specified by:
        `mouseMoved` in interface `JmolMultiTouchAdapter`

    - #### fixXY

          protected void fixXY(float x,
                               float y,
                               boolean isAbsolute)